开发者社区> 问答> 正文

ubuntu14.04安装phalcon,总是出现 make: *** [phalcon.lo] Error 1,why???

1,$git clone git://github.com/phalcon/cphalcon.git
2,$cd cphalcon/build
3,$sudo ./install --with-php-config=/opt/lampp/bin/php-config
这样安装没有成功,于是我就将cphalcon/build/install安装文件中的phpize --clean
改成/opt/lampp/bin/phpize --clean,
并将
    phpize && ./configure --enable-phalcon && 
    make && make install && echo -e 
    "\nThanks for compiling Phalcon!\nBuild succeed: 
    Please restart your web server to complete the installation" 
改成
    /opt/lampp/bin/phpize && ./configure --enable-phalcon 
    --with-php-config=/opt/lampp/bin/php-config 
    && make && make install && echo -e 
    "\nThanks for compiling Phalcon!\nBuild succeed: 
    Please restart your web server to complete the installation"
然后执行./install 
结果出现下面一堆错误,
    Configuring for:
    PHP Api Version:         20121113
    Zend Module Api No:      20121212
    Zend Extension Api No:   220121212

    ...... ......

    gcc: internal compiler error: Killed (program cc1)
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <file:///usr/share/doc/gcc-4.8/README.Bugs> for instructions.
    make: *** [phalcon.lo] Error 1
    phalcon安装不成功,请问这是什么情况?

展开
收起
a123456678 2016-06-23 15:37:21 3193 0
1 条回答
写回答
取消 提交回答
  • 花了将近一天的时间解决了这个问题,我的阿里云服务器的内存是512M,但是得知phalcon要求内存比较高,结果把内存改为2048M,然后重新安装,还有个问题,最后终于找到的原因,在phalcon安装之前需编译一些环境,于是输入以下命令:
    sudo apt-get install git-core gcc autoconf
    sudo apt-get install php5-dev
    sudo apt-get install php5-mysql.
    ok,解决问题。。。

    2019-07-17 19:46:27
    赞同 展开评论 打赏
问答分类:
问答标签:
问答地址:
问答排行榜
最热
最新

相关电子书

更多
The Next Gen of PHP 立即下载
在Linux下安...[xubingit].1460269862.pdf 立即下载
CentOS7 ...[it民工007].1499095288.pdf 立即下载